/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomNavigator_H___INT_
#define __GdomNavigator_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "Navigator.h"
namespace WebCore {
    gpointer toGDOM(Navigator* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMNavigator : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_NAVIGATOR; }
    GDOMNavigator(PassRefPtr<WebCore::Navigator> impl);
    virtual ~GDOMNavigator();
    WebCore::Navigator* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::Navigator> m_impl;
};
G_END_DECLS

#endif /* __GdomNavigator_H___INT_*/
